Subject: [OAUTH-WG] [Editorial Errata Reported] RFC8252 (5776)

From: RFC Errata System <[email-masked]>
Date: Fri, 5 Jul 2019 06:56:06 -0700 (PDT)

The following errata report has been submitted for RFC8252,
"OAuth 2.0 for Native Apps".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5776

--------------------------------------
Type: Editorial
Reported by: Jan Dziekan <[email-masked]>

Section: GLOBAL

Original Text
-------------

Corrected Text
--------------

Notes
-----
RFC8252 references specific Sections of RFC6749, however urls are pointing to Sections in RFC8252.
For example, in Section 6 there is a statement "code grant type per Section 4.1 of OAuth 2.0 [RFC6749]", where "Section 4.1" links to https://tools.ietf.org/html/rfc8252#section-4.1 instead of https://tools.ietf.org/html/rfc6749#section-4.1
I have found such misplaced links in the following sections: 6, 8.2, 8.4, 8.5, 8.6, 8.12

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8252 (draft-ietf-oauth-native-apps-12)
--------------------------------------
Title               : OAuth 2.0 for Native Apps
Publication Date    : October 2017
Author(s)           : W. Denniss, J. Bradley
Category            : BEST CURRENT PRACTICE
Source              : Web Authorization Protocol
Area                : Security
Stream              : IETF
Verifying Party     : IESG

---

From: William Denniss <[email-masked]>
Date: Fri, 5 Jul 2019 09:51:12 -0700

This is an issue with the HTML auto generation, not the normative document.
I believe this errata should be rejected.

William

On Fri, 5 Jul 2019 at 06:56, RFC Errata System <[email-masked]>
wrote:

> For example, in Section 6 there is a statement "code grant type per
> Section 4.1 of OAuth 2.0 [RFC6749]", where "Section 4.1" links to
> https://tools.ietf.org/html/rfc8252#section-4.1 instead of
> https://tools.ietf.org/html/rfc6749#section-4.1

---

From: Megan Ferguson <[email-masked]>
Date: Wed, 10 Jul 2019 20:18:21 -0700

Hi Jan,

Please note that this errata report has been removed.  As stated at 
https://www.rfc-editor.org/errata.php:

"Errata are for the RFCs as available from rfc-editor.org."

We have sent separate mail regarding this error to 
[email-masked].

Thank you.

RFC Editor/mf

---

From: Thomas Broyer <[email-masked]>
Date: Thu, 11 Jul 2019 08:26:17 +0200

Hi Megan,

> "Errata are for the RFCs as available from rfc-editor.org."

Well, fwiw, the issue is also present in
https://www.rfc-editor.org/rfc/rfc8252.html#section-6